@import 'libs/shared/assets/src/global-style/color';
.main-job-description {
  width: 100%;
  display: flex;
  justify-content: space-between;
  background: white;
  padding: 24px 18px;
  border-radius: 14px;

  &__left {
    display: flex;
    align-items: center;

    &__pointer {
      cursor: pointer;
    }

    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }

  &__right {
    display: flex;

    &__button-default {
      border: 1px solid #a0a3bd;
      color: #6e7191;
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;

      &:nth-child(2) {
        margin-left: 16px;
      }
    }

    &__button-primary {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 12px;
      font-size: 14px;
      min-height: 40px;
      min-width: 40px;
      background: #141ed2;
      margin-left: 16px;
    }
  }
}

.content {
  & > div {
    padding: 5px;
  }
  .pagination {
    display: flex;
    align-items: center;
    &__icon {
      min-height: 40px;
      align-items: center;
      display: flex;
      justify-content: flex-end;
      &.ant-pagination {
        margin: 0;
      }
    }
    &__table-info {
      justify-content: flex-start;
    }
  }
}

.user-role-card {
  // margin-top: 1rem;
  border-radius:14px;
  ::ng-deep {
    .ant-card-body {
      padding: 8px;
    }
  }
}

.action-top {
  display: flex;
  width: 100%;
}

.action-bar {
  display: flex;
  align-items: center;

  button {
    background: #141ed2;
  }
}

.search-container {
  width: 100%;
  display: flex;
  align-items: center;
}

.import {
  position: fixed;
  top: 134px;
  z-index: 1000;
  right: 25px;
}

.search-button {
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px 12px;
  font-size: 14px;
  min-height: 40px;
  min-width: 40px;
  background: #141ed2;
  margin-left: 16px;
}

.input {
  width: 99.5%;
  border-radius: 8px;
  min-height: 40px;
  border: 1px solid $border-color;
  padding: 4px 11px;
  &:hover, &:focus {
    border: 1px solid $primary-button-color;
    box-shadow: none;
  }
}

.action-table {
  display: flex;
  column-gap: 16px;
}

::ng-deep {
  .form-search {
    text-align: left;
  }

  .form-custom-inline {
    align-items: center;
    display: flex;
  }

  .item-label {
    min-width: 160px;
    max-width: 160px;
    padding-right: 15px;
    margin: 0;
    font-size: inherit;
    color: inherit;
    display: inline-block;
  }

  .item-field {
    flex-grow: 1;
  }

  .form-control {
    height: 36px;
    box-sizing: border-box;
    border-radius: 4px;
    line-height: 56px;
    padding: 0 12px;
  }

  .form-group {
    margin-bottom: 15px;
    display: flex;
  }

  .text-right {
    text-align: right !important;
    margin-top: 1rem;

    button {
      display: inline-flex !important;
      border-radius: 8px;
      align-items: center;
      padding: 10px 12px;
      font-size: 14px;
      min-height: 40px;
      min-width: 40px;
      background: #141ed2;
      margin-right: 16px;
    }
  }

  .ant-tooltip {
    max-width: 500px !important;
  }
}


.filter-top-role {
  display: flex;
  justify-content: space-between;
  //padding-top: 5%;

  &__left {
    .search-container {
      width: 100%;
      .input {
        width: 99.5%;
        border-radius: 8px;
        min-height: 40px;
        border: 1px solid $border-color;
        padding: 4px 11px;
        &:hover, &:focus {
          border: 1px solid $primary-button-color;
          box-shadow: none;
        }
      }
    }
  }

  &__right {
    width: 30%;
    display: flex;

    .search-container {
      display: flex;
      justify-content: flex-end;
    }
  }
}

.pagination_table_config{
  display: flex;
  margin-top: 16px;
  justify-content: space-between;
}

.bt-center {
  align-self: center;
}

.data-table {
  .table-header > th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
  }
  .row-table:hover > td {
    background: $hover-table-row;
  }
  .activeRow {
    background-color: $active-color;
    color: $white-color;
    ::ng-deep {
      .ant-table-row-indent+.ant-table-row-expand-icon{
        color: $active-color-button;
      }
    }
    &:hover {
      background-color: $active-color;
      color: $white-color;
      td {
        background-color: $active-color;
        color: $white-color;
        button {
          color: $active-color-button;
        }
      }
    }
  }
}
